pfsretime(1)

NAME
pfsretime - Retime an animation stream from one frame-rate to another

SYNOPSIS
pfsretime [--in-fps <fps> | --out-fps <fps>] [--speedup <factor>]

DESCRIPTION
Changes the frame-rate of the animation stream from the input-frame rate to the output frame-rate. Currently this is done by skipping or replicating frames. The command can be useful for creating time-lapse animations with temporal tone-mapping operators.

OPTIONS

--in-fps <fps>, -i <fps>
    The frame-rate of the input animation stream in frames per second. Fractional numbers are supported. By default, the FPS tag in the stream is used. If the tag cannot be found, 30 frames per second is assumed.

--out-fps <fps>, -o <fps>
    The frame-rate of the output animation stream in frames per second. Fractional numbers are supported. The default value is 30 frames per second.

--speedup <factor>, -s <factor>
    How much faster (factor > 1) or slower (factor < 1) the output animation should run as compared with the input animation. The output frame-rate is kept the same as the input frame-rate.

EXAMPLES

pfsin frame%04d.hdr | pfsretime -v -i 1 -o 30 | pfstmo_mantiuk08 | pfsout res/frame%04d.jpg

    Read the sequence of animation frames at 1 frame per second and output the sequence at 30 frames per second. This will replicate each input frame 30 times. The frames are then tone-mapped and stored in the res folder.

SEE ALSO
pfsin(1) pfsout(1) pfstmo_mantiuk08(1)

BUGS
Please report bugs and comments to the pfstools discussion group (http://groups.google.com/group/pfstools).